Subject: Re: [PATCH 5/7] Enable MSI mappings for MPIC

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sun, 22 Apr 2007 10:06:50 +1000

> This is just begging to be written in terms of 
> pci_bus_find_ht_capability.  Well,
> we have pci_bus_find_capability, and pci_find_ht_capability, I'm sure 
> we could
> create that.   It also means this and the other nearby functions want 
> to be
> written in terms of a struct pci_bus and config accessors.

A lot of that code has to run way before the PCI config stuff is even
useable and certainly before the PCI layer data structures have been
created.... Sucks but that's how it is for now. We might be able to
tweak and delay init of the APICs etc... but I don't think I can be
bothered for now as it's a bit of a corner case.

Ben.